import request from '@/utils/request'

// 查询积分数据列表
export function listIntegrated(query) {
  return request({
    url: '/manage/integrated/list',
    method: 'get',
    params: query
  })
}

// 查询积分数据详细
export function getIntegrated(id) {
  return request({
    url: '/manage/integrated/' + id,
    method: 'get'
  })
}

// 新增积分数据
export function addIntegrated(data) {
  return request({
    url: '/manage/integrated',
    method: 'post',
    data: data
  })
}

// 修改积分数据
export function updateIntegrated(data) {
  return request({
    url: '/manage/integrated',
    method: 'put',
    data: data
  })
}

// 删除积分数据
export function delIntegrated(id) {
  return request({
    url: '/manage/integrated/' + id,
    method: 'delete'
  })
}
